#ifndef AFX_WINMODINSDLG_H__DEFFDE00_1EA3_11D4_AEC4_00A0244AEFC1__INCLUDED_
#define AFX_WINMODINSDLG_H__DEFFDE00_1EA3_11D4_AEC4_00A0244AEFC1__INCLUDED_

// WinModInsDlg.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CWinModInsDlg 

class CWinModInsDlg : public CDialog
{
// Konstruktion
public:
	BOOL	bDone;
	DWORD   dwStopNextTime;
	DWORD	SampleCount, SamplePos;
	DWORD	ActNoteVal;
	struct SampleData *ActSampleData;
	signed long OldSample;
	unsigned int ActSample;

	CWinModInsDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	~CWinModInsDlg();
	void UpdateAllElements();
	void DrawSample();
	bool FillBuffer(DWORD dwPos);
	void PlaySample();
	void stopPlay();
	//void CALLBACK myEvent_CallBack(UINT wTimerID, UINT msg, DWORD dwUser, DWORD dw1, DWORD dw2);
// Dialogfelddaten
	//{{AFX_DATA(CWinModInsDlg)
	enum { IDD = IDD_WinMod_Instrument };
	CEdit	m_SampleIndexC;
	CEdit	m_VolumeC;
	CEdit	m_RepeatStopC;
	CEdit	m_RepeatStartC;
	CEdit	m_SampleNameC;
	CEdit	m_LengthC;
	CEdit	m_FineTuneC;
	CEdit	m_BaseToneC;
	CEdit	m_BaseFreqC;
	CButton	m_CheckISPC;
	CButton	m_StopPlay;
	CButton	m_PlayOnceButton;
	CListBox	m_ActualPlayNote;
	CButton	m_PrevButton;
	CButton	m_NextButton;
	CStatic	m_TheWave;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CWinModInsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CWinModInsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnNextSample();
	afx_msg void OnPrevSample();
	afx_msg void OnPaint();
	afx_msg void OnPlayOnceButton();
	afx_msg void OnStopPlay();
	afx_msg void OnCheckIsp();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_WINMODINSDLG_H__DEFFDE00_1EA3_11D4_AEC4_00A0244AEFC1__INCLUDED_
